# reviewed at https://bugzilla.redhat.com/show_bug.cgi?id=498218

Name:           picturetile 
# The source file does not use version number, just has a release date.
Version:        0
Release:        5.20050314%{?dist}
Summary:        Tiles a bunch of images into one large "photo wall"

Group:          Applications/Multimedia
License:        MIT
URL:            http://www.jwz.org/picturetile/
Source0:        http://www.jwz.org/picturetile/picturetile.pl
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       ImageMagick-perl
Provides:       picturetile.pl = 20050314


%description
Takes a bunch of images and tiles them into one large image.
Not so much a collage, as a "photo wall."

The images are selected randomly from the given directory, and packed
together as tightly as possible. Images that are very small are
assumed to be thumbnails and are ignored. No image will be used more
than once, and the images need not be of the same size or aspect ratio.

This script can be used stand-alone from the command-line, or from the
F-Spot plugin "create photowall".


%prep
%setup -qcT
cp -p %SOURCE0 picturetile.pl.ISO-8859-1

# The downloaded picturetile.pl is ISO-8859-1 encoded. First transform this
# file to UTF-8.
iconv -f ISO-8859-1 -t UTF-8 picturetile.pl.ISO-8859-1 > picturetile.pl
# Preserve original modification time
touch -c -r picturetile.pl.ISO-8859-1 picturetile.pl


%build
# Extract the help at the beginning of the perl script as README, since
# it was meant to be the README, just not in a separate file
head picturetile.pl -n135 | tail -n124 > README

# The copyright notice at the beginning of the perl script will not be 
# extracted as COPYING, since that would violate the Packaging Guidelines [1],
# which state:
# "If (and only if) the source package includes the text of the license(s) in
# its *own file*, then that file, containing the text of the license(s) for the
# package must be included in %doc." The crux here is the *own file*. It does
# not include the text in it's own file COPYING. It is therefore incorrect to
# generate the file (because if the "If (and only if)").
# [1] http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -pm 755 picturetile.pl %{buildroot}%{_bindir}/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/picturetile.pl


%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-5.20050314
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Nov 12 2009 Edwin ten Brink <fedora at tenbrink-bekkers.nl> - 0-4.20050314
- Additional comments from review. Undone change of release 3 to prep section.
  Removed generation of COPYING. Changed version number to 0 and use release
  tag only.

* Sun Nov 08 2009 Edwin ten Brink <fedora at tenbrink-bekkers.nl> - 0.1.20050314-3
- Additional comments from review. Changed version number prefix to 0.1,
  license to MIT and prep section.

* Thu Oct 29 2009 Edwin ten Brink <fedora at tenbrink-bekkers.nl> - 0.20050314-2
- Changed version number to prefix with "0."

* Wed Apr 29 2009 Edwin ten Brink <edwin.ten.brink at gmail.com> - 20050314-1
- Initial creation.

